/*!
  \file
  \brief ScriptedStateMachine のテスト

  \author Satofumi KAMIMURA

  $Id: TestScriptedStateMachine.cpp 1811 2010-04-30 16:12:05Z satofumi $
*/

#include "TestScriptedStateMachine.h"
#include "ScriptedStateMachine.h"

using namespace qrk;
using namespace std;


CPPUNIT_TEST_SUITE_REGISTRATION(TestScriptedStateMachine);
CPPUNIT_TEST_SUITE_NAMED_REGISTRATION(TestScriptedStateMachine,
                                      "TestScriptedStateMachine");


namespace
{
    class ForCompileTest
    {
    };
}


void TestScriptedStateMachine::compileTest(void)
{
    ForCompileTest test_object;
    ScriptedStateMachine<ForCompileTest> state(&test_object);
}
